# Python Eve DigiLocker Accounts Services
# Build by; Saurabh Kumar Pandey@14122020

FROM eve:base
MAINTAINER DigiLocker
LABEL version="1.0"
ENV TZ="Asia/Kolkata"

ADD config-local/dockerconfig/envoy-eve-local.yaml /etc/envoy/envoy-eve-local.yaml

COPY config-local/dockerconfig/supervisord.conf /etc/supervisord.conf
COPY config-local/dockerconfig/services.conf /etc/supervisord.d/services.conf


COPY src_code /opt/
COPY config-local/appconfig /opt/accounts_services/
WORKDIR /opt/accounts_services

EXPOSE 80
CMD ["/usr/bin/supervisord", "-n"]
